Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.synapsai.cloud/v1/images/depth-estimation \ --header 'Content-Type: application/json' \ --data ' { "inputs": "<string>", "parameters": {}, "timeout": 123 } '
import requestsurl = "https://api.synapsai.cloud/v1/images/depth-estimation"payload = { "inputs": "<string>", "parameters": {}, "timeout": 123}headers = {"Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
{ "predicted_depth": [ 123 ], "depth": "<string>" }
Request to estimate per-pixel depth from images.
Single image or list of images (base64, URL or binary) for depth estimation. Required.
Optional configuration parameters passed to the depth estimation model.
Maximum time in seconds to wait for any remote fetching or long processing steps.
Depth estimation output
tensor-like numeric array
image encoded as base64 or URL